Package oracle.jdbc.aq

## Enum AQDequeueOptions.NavigationOption

- java.lang.Object
- - java.lang.Enum<AQDequeueOptions.NavigationOption>
  - - oracle.jdbc.aq.AQDequeueOptions.NavigationOption

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<AQDequeueOptions.NavigationOption>`

Enclosing class:
  AQDequeueOptions

    public static enum AQDequeueOptions.NavigationOption
    extends java.lang.Enum<AQDequeueOptions.NavigationOption>

### Enum Constant Summary

Enum Constants
`FIRST_MESSAGE` Retrieve the first available message that matches the search criterion.
`NEXT_MESSAGE` Retrieve the next available message that matches the search criterion.
`NEXT_TRANSACTION` Skips the remainder of the current transaction group (if any) and retrieves the first message of the next transaction group.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()` Implementation detail (for internal use only).
`static AQDequeueOptions.NavigationOption` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AQDequeueOptions.NavigationOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FIRST_MESSAGE

    public static final AQDequeueOptions.NavigationOption FIRST_MESSAGE

Retrieve the first available message that matches the search criterion. This will reset the position to the beginning of the queue.

#### NEXT_MESSAGE

    public static final AQDequeueOptions.NavigationOption NEXT_MESSAGE

Retrieve the next available message that matches the search criterion. If the previous message belongs to a message group, AQ will retrieve the next available message which matches the search criterion and belongs to the message group. This is the default.

#### NEXT_TRANSACTION

    public static final AQDequeueOptions.NavigationOption NEXT_TRANSACTION

Skips the remainder of the current transaction group (if any) and retrieves the first message of the next transaction group. This option can only be used if message grouping is enabled for the current queue.

### Method Detail

#### values

    public static AQDequeueOptions.NavigationOption[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AQDequeueOptions.NavigationOption c : AQDequeueOptions.NavigationOption.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AQDequeueOptions.NavigationOption valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getCode

    public final int getCode()

Implementation detail (for internal use only).